﻿Public Class VilleList
    Inherits ObservableCollection(Of Ville)
    Private m_list As VilleList

    Public Sub New()

    End Sub

    Public Sub GetList()
        'Remplissage de la collection VilleList à partir du fichier xml Villes.xml
        Dim dstVilles As New DataSet
        Dim strPath = Application.Current.StartupUri.ToString & "\Villes.xml"
        Dim stream As New System.IO.StreamReader("Villes.xml")

        dstVilles.ReadXml(stream, XmlReadMode.InferSchema)
        stream.Close()
        stream.Dispose()

        For Each r As DataRow In dstVilles.Tables(0).Rows
            Dim city As New Ville(r(1).ToString, r(0).ToString)
            city.ID = System.Guid.NewGuid().ToString
            Me.Add(city)
        Next
    End Sub
End Class
